# aws_netapp_cvs_snapshots – NetApp AWS Cloud Volumes Service Manage Snapshots

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, Update, Delete Snapshot on AWS Cloud Volumes Service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string / required |  | The access key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the AWSCVS Web Services Proxy or Embedded Web Services API.
fileSystemId string |  | Name or Id of the filesystem. Required for create operation
from_name string |  | ID or Name of the snapshot to rename. Required to create an snapshot called 'name' by renaming 'from_name'.
name string / required |  | Name of the snapshot
region string / required |  | The region to which the snapshot belongs to.
secret_key string / required |  | The secret_key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.

state
string / required

Choices:
- present
- absent

Whether the specified snapshot should exist or not.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- The modules prefixed with aws_cvs_netapp are built to Manage AWS Cloud Volume Service .

## Examples

    - name: Create Snapshot
      aws_netapp_cvs_snapshots:
        state: present
        region: us-east-1
        name: testSnapshot
        fileSystemId: testVolume
        api_url : cds-aws-bundles.netapp.com
        api_key: myApiKey
        secret_key : mySecretKey

    - name: Update Snapshot
      aws_netapp_cvs_snapshots:
        state: present
        region: us-east-1
        name: testSnapshot - renamed
        from_name: testSnapshot
        fileSystemId: testVolume
        api_url : cds-aws-bundles.netapp.com
        api_key: myApiKey
        secret_key : mySecretKey

    - name: Delete Snapshot
      aws_netapp_cvs_snapshots:
        state: absent
        region: us-east-1
        name: testSnapshot
        api_url : cds-aws-bundles.netapp.com
        api_key: myApiKey
        secret_key : mySecretKey

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.